Package org.drinkless.tdlib

# Class TdApi.PremiumState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumState

Enclosing class:
  `TdApi`

public static class TdApi.PremiumState extends TdApi.Object
Contains state of Telegram Premium subscription and promotion videos for Premium features.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PremiumFeaturePromotionAnimation[]`
  `animations`
  The list of available promotion animations for Premium features.
  `TdApi.BusinessFeaturePromotionAnimation[]`
  `businessAnimations`
  The list of available promotion animations for Business features.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PremiumStatePaymentOption[]`
  `paymentOptions`
  The list of available options for buying Telegram Premium.
  `TdApi.FormattedText`
  `state`
  Text description of the state of the current Premium subscription; may be empty if the current user has no Telegram Premium subscription.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumState()`
  Contains state of Telegram Premium subscription and promotion videos for Premium features.
  `PremiumState(TdApi.FormattedText state, TdApi.PremiumStatePaymentOption[] paymentOptions, TdApi.PremiumFeaturePromotionAnimation[] animations, TdApi.BusinessFeaturePromotionAnimation[] businessAnimations)`
  Contains state of Telegram Premium subscription and promotion videos for Premium features.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### state

    public TdApi.FormattedText state
    Text description of the state of the current Premium subscription; may be empty if the current user has no Telegram Premium subscription.

  - ### paymentOptions

    public TdApi.PremiumStatePaymentOption[] paymentOptions
    The list of available options for buying Telegram Premium.

  - ### animations

    public TdApi.PremiumFeaturePromotionAnimation[] animations
    The list of available promotion animations for Premium features.

  - ### businessAnimations

    public TdApi.BusinessFeaturePromotionAnimation[] businessAnimations
    The list of available promotion animations for Business features.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumState

    public PremiumState()
    Contains state of Telegram Premium subscription and promotion videos for Premium features.

  - ### PremiumState

    public PremiumState(TdApi.FormattedText state, TdApi.PremiumStatePaymentOption[] paymentOptions, TdApi.PremiumFeaturePromotionAnimation[] animations, TdApi.BusinessFeaturePromotionAnimation[] businessAnimations)
    Contains state of Telegram Premium subscription and promotion videos for Premium features.
    Parameters:
      `state` - Text description of the state of the current Premium subscription; may be empty if the current user has no Telegram Premium subscription.
      `paymentOptions` - The list of available options for buying Telegram Premium.
      `animations` - The list of available promotion animations for Premium features.
      `businessAnimations` - The list of available promotion animations for Business features.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR